> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uvvipay.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Revogar certificado

> Revoga o certificado — deixa de valer para novas transações. Idempotente.



## OpenAPI

````yaml POST /v1/certificates/{id}/revoke
openapi: 3.0.0
info:
  title: UvviPay Public API
  description: >-
    Endpoints públicos da plataforma UvviPay para integração de subcontas
    (submerchants).
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.uvvipay.com.br
    description: Produção
  - url: https://api-staging.uvvipay.com.br
    description: Staging
security:
  - client-id: []
    client-secret: []
tags: []
paths:
  /v1/certificates/{id}/revoke:
    post:
      tags:
        - Certificados
      summary: Revogar certificado
      description: >-
        Revoga o certificado — deixa de valer para novas transações.
        Idempotente.
      operationId: revokeCertificate
      parameters:
        - name: client-secret
          in: header
          description: Secret da credencial do merchant
          required: true
          schema:
            type: string
        - name: client-id
          in: header
          description: ID público da credencial do merchant
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Certificado revogado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CertificateResponseDto'
        '401':
          description: Credenciais inválidas ou ausentes
        '404':
          description: Certificado não encontrado
components:
  schemas:
    CertificateResponseDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - apple_pay_payment_processing
        status:
          type: string
          enum:
            - issued
            - active
            - revoked
          description: >-
            issued: CSR emitido, aguardando ativação; active: em uso; revoked:
            desativado
        signingRequestPem:
          type: string
          nullable: true
          description: >-
            CSR em PEM — presente quando o fluxo do tipo passa por autoridade
            certificadora (Apple Pay); envie-o à autoridade
        publicKeyFingerprint:
          type: string
          description: SHA-256 (base64) da chave pública do par
        notBefore:
          type: string
          format: date-time
          nullable: true
        notAfter:
          type: string
          format: date-time
          nullable: true
        activatedAt:
          type: string
          format: date-time
          nullable: true
        revokedAt:
          type: string
          format: date-time
          nullable: true
        metadata:
          type: object
          nullable: true
          description: 'Dados específicos do tipo (Apple Pay: merchantIdHash)'
        createdAt:
          type: string
          format: date-time
  securitySchemes:
    client-id:
      type: apiKey
      in: header
      name: client-id
    client-secret:
      type: apiKey
      in: header
      name: client-secret

````